local modUtil = require "merk_modutil_1_1"
require "stringutil"

local options_res_687 = {
	res_687_fake = { type = "boolean", default = false, name = _("Fakeversion"), description = _("option_res_687_fake_desc"), image = "res/textures/ui/models_small/vehicle/waggon/res_687_db_fake1.tga" },
}

function data()
return {
	info = {
		minorVersion = 1,
		severityAdd = "NONE",
		severityRemove = "WARNING",
		name = _("Res 687"),
		description = _("info_res_687_desc"),
		tags = { "Europe", "Wagon", },
		authors = {
			{
				name = "Kaleut1988",
				role = "CREATOR",
				text = "3d model, mapping, textures",
				tfnetId = 22532,				
			},
			{
				name = "baubus",
				role = "CO_CREATOR",
				text = "soundset",
				tfnetId = 18332,				
			},
		},
		tfnetId = 3052,                 															-- optional, transportfever.net id
		steamId = 930800099,             															-- optional, steam workshop id
		url = "https://www.transportfever.net/filebase/index.php/Entry/3052-Res-687/", 	-- optional, URL zur Webseite des Mods
		visible = true
	},
	settings = options_res_687,
		
	runFn = function(settings)
		modUtil.initialize("kaleut_res_687", options_res_687, files)
		local settings = modUtil.userSettings.get("kaleut_res_687")
		if not settings.res_687_fake then			
			modUtil.vehicles.hideObject("vehicle/waggon/res_687_db_ag_fake1.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/res_687_db_ag_fake2.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/res_687_db_ag_fake3.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/res_687_db_ag_fake4.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/res_687_db_ag_fake5.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/res_687_db_ag_fake6.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/res_687_db_ag_fake7.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/res_687_db_ag_fake8.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/res_687_db_fake1.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/res_687_db_fake2.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/res_687_db_fake3.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/res_687_db_fake4.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/res_687_db_fake5.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/res_687_db_fake6.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/res_687_db_fake7.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/res_687_db_fake8.mdl")
		end	
	end
}
end
